GetOpParam.Op (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.web.resources, class: GetOpParam, enum: Op

Package org.apache.hadoop.hdfs.web.resources

# Enum Class GetOpParam.Op

java.lang.Object
java.lang.Enum<GetOpParam.Op>
org.apache.hadoop.hdfs.web.resources.GetOpParam.Op

All Implemented Interfaces:
  `Serializable`, `Comparable<GetOpParam.Op>`, `Constable`, `org.apache.hadoop.hdfs.web.resources.HttpOpParam.Op`

Enclosing class:
  org.apache.hadoop.hdfs.web.resources.GetOpParam

public static enum GetOpParam.Op extends Enum<GetOpParam.Op> implements org.apache.hadoop.hdfs.web.resources.HttpOpParam.Op
Get operations.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHECKACCESS`
  `GET_BLOCK_LOCATIONS`
  GET_BLOCK_LOCATIONS is a private/stable API op.
  `GETACLSTATUS`
  `GETALLSTORAGEPOLICY`
  `GETCONTENTSUMMARY`
  `GETDELEGATIONTOKEN`
  `GETECCODECS`
  `GETECPOLICIES`
  `GETECPOLICY`
  `GETFILEBLOCKLOCATIONS`
  GETFILEBLOCKLOCATIONS is the public op that complies with `FileSystem.getFileBlockLocations(org.apache.hadoop.fs.FileStatus, long, long)` interface.
  `GETFILECHECKSUM`
  `GETFILELINKSTATUS`
  `GETFILESTATUS`
  `GETHOMEDIRECTORY`
  `GETLINKTARGET`
  `GETQUOTAUSAGE`
  `GETSERVERDEFAULTS`
  `GETSNAPSHOTDIFF`
  `GETSNAPSHOTDIFFLISTING`
  `GETSNAPSHOTLIST`
  `GETSNAPSHOTTABLEDIRECTORYLIST`
  `GETSTATUS`
  `GETSTORAGEPOLICY`
  `GETTRASHROOT`
  `GETTRASHROOTS`
  `GETXATTRS`
  `LISTSTATUS`
  `LISTSTATUS_BATCH`
  `LISTXATTRS`
  `NULL`
  `OPEN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getDoOutput()`
  `int`
  `getExpectedHttpResponseCode()`
  `boolean`
  `getRedirect()`
  `boolean`
  `getRequireAuth()`
  `HttpOpParam.Type`
  `getType()`
  `String`
  `toQueryString()`
  `static GetOpParam.Op`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GetOpParam.Op[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OPEN

    public static final GetOpParam.Op OPEN

  - ### GETFILESTATUS

    public static final GetOpParam.Op GETFILESTATUS

  - ### LISTSTATUS

    public static final GetOpParam.Op LISTSTATUS

  - ### GETCONTENTSUMMARY

    public static final GetOpParam.Op GETCONTENTSUMMARY

  - ### GETQUOTAUSAGE

    public static final GetOpParam.Op GETQUOTAUSAGE

  - ### GETFILECHECKSUM

    public static final GetOpParam.Op GETFILECHECKSUM

  - ### GETHOMEDIRECTORY

    public static final GetOpParam.Op GETHOMEDIRECTORY

  - ### GETDELEGATIONTOKEN

    public static final GetOpParam.Op GETDELEGATIONTOKEN

  - ### GET_BLOCK_LOCATIONS

    public static final GetOpParam.Op GET_BLOCK_LOCATIONS
    GET_BLOCK_LOCATIONS is a private/stable API op. It returns a `LocatedBlocks` json object.

  - ### GETFILEBLOCKLOCATIONS

    public static final GetOpParam.Op GETFILEBLOCKLOCATIONS
    GETFILEBLOCKLOCATIONS is the public op that complies with `FileSystem.getFileBlockLocations(org.apache.hadoop.fs.FileStatus, long, long)` interface.

  - ### GETACLSTATUS

    public static final GetOpParam.Op GETACLSTATUS

  - ### GETXATTRS

    public static final GetOpParam.Op GETXATTRS

  - ### GETTRASHROOT

    public static final GetOpParam.Op GETTRASHROOT

  - ### LISTXATTRS

    public static final GetOpParam.Op LISTXATTRS

  - ### GETALLSTORAGEPOLICY

    public static final GetOpParam.Op GETALLSTORAGEPOLICY

  - ### GETSTORAGEPOLICY

    public static final GetOpParam.Op GETSTORAGEPOLICY

  - ### GETECPOLICY

    public static final GetOpParam.Op GETECPOLICY

  - ### NULL

    public static final GetOpParam.Op NULL

  - ### CHECKACCESS

    public static final GetOpParam.Op CHECKACCESS

  - ### LISTSTATUS_BATCH

    public static final GetOpParam.Op LISTSTATUS_BATCH

  - ### GETSERVERDEFAULTS

    public static final GetOpParam.Op GETSERVERDEFAULTS

  - ### GETSNAPSHOTDIFF

    public static final GetOpParam.Op GETSNAPSHOTDIFF

  - ### GETSNAPSHOTDIFFLISTING

    public static final GetOpParam.Op GETSNAPSHOTDIFFLISTING

  - ### GETSNAPSHOTTABLEDIRECTORYLIST

    public static final GetOpParam.Op GETSNAPSHOTTABLEDIRECTORYLIST

  - ### GETLINKTARGET

    public static final GetOpParam.Op GETLINKTARGET

  - ### GETFILELINKSTATUS

    public static final GetOpParam.Op GETFILELINKSTATUS

  - ### GETSTATUS

    public static final GetOpParam.Op GETSTATUS

  - ### GETECPOLICIES

    public static final GetOpParam.Op GETECPOLICIES

  - ### GETECCODECS

    public static final GetOpParam.Op GETECCODECS

  - ### GETTRASHROOTS

    public static final GetOpParam.Op GETTRASHROOTS

  - ### GETSNAPSHOTLIST

    public static final GetOpParam.Op GETSNAPSHOTLIST

- ## Method Details

  - ### values

    public static GetOpParam.Op[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GetOpParam.Op valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getType

    public HttpOpParam.Type getType()
    Specified by:
      `getType` in interface `org.apache.hadoop.hdfs.web.resources.HttpOpParam.Op`
    Returns:
      the Http operation type.

  - ### getRequireAuth

    public boolean getRequireAuth()
    Specified by:
      `getRequireAuth` in interface `org.apache.hadoop.hdfs.web.resources.HttpOpParam.Op`
    Returns:
      true if the operation cannot use a token

  - ### getDoOutput

    public boolean getDoOutput()
    Specified by:
      `getDoOutput` in interface `org.apache.hadoop.hdfs.web.resources.HttpOpParam.Op`
    Returns:
      true if the operation will do output.

  - ### getRedirect

    public boolean getRedirect()
    Specified by:
      `getRedirect` in interface `org.apache.hadoop.hdfs.web.resources.HttpOpParam.Op`
    Returns:
      true if the operation will be redirected.

  - ### getExpectedHttpResponseCode

    public int getExpectedHttpResponseCode()
    Specified by:
      `getExpectedHttpResponseCode` in interface `org.apache.hadoop.hdfs.web.resources.HttpOpParam.Op`
    Returns:
      true the expected http response code.

  - ### toQueryString

    public String toQueryString()
    Specified by:
      `toQueryString` in interface `org.apache.hadoop.hdfs.web.resources.HttpOpParam.Op`
    Returns:
      a URI query string.